跳转到主要内容
GET
/
v2
/
enterprise
/
groups
Enterprise 群组端点
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/groups \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "items": [
    {
      "group_name": "<string>",
      "org_count": 123,
      "role_by_org_id": {}
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

需要 Enterprise 管理员的个人 API key。 返回你的 Enterprise 中所有 IdP(身份提供商)组的分页列表,包括它们关联的组织及其角色。

授权

Authorization
string
header
必填

仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)

查询参数

skip
integer
默认值:0
必填范围: x >= 0
limit
integer
默认值:100
必填范围: 1 <= x <= 200

响应

成功的响应

has_more
boolean
必填
items
EnterpriseGroupResponse · object[]
必填
limit
integer
必填
skip
integer
必填
total
integer
必填
next_cursor
integer | null